Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.examples.rules
Class Puzzle

    java.lang.Object
      com.ibm.able.examples.rules.Puzzle

All Implemented Interfaces:
  java.io.Serializable

public class Puzzle
extends java.lang.Object
implements java.io.Serializable

A Puzzle has a name, level, phase, and three posts.

See Also:
  Serialized Form

Constructor Summary
`Puzzle()`
`Puzzle(java.lang.String name)`
`Puzzle(java.lang.String name, int level, int phase)`
`Puzzle(java.lang.String name, int level, int phase, int sourcePost, int otherPost, int sinkPost)`

Method Summary
`int` | `getLevel()`
`int` | `getOtherPost()`
`int` | `getPhase()`
`int` | `getSinkPost()`
`int` | `getSourcePost()`
`void` | `setLevel(int level)`
`void` | `setOtherPost(int otherPost)`
`void` | `setPhase(int phase)`
`void` | `setSinkPost(int sinkPost)`
`void` | `setSourcePost(int sourcePost)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Puzzle

    public Puzzle()

### Puzzle

    public Puzzle(java.lang.String name)

### Puzzle

    public Puzzle(java.lang.String name,
                  int level,
                  int phase)

### Puzzle

    public Puzzle(java.lang.String name,
                  int level,
                  int phase,
                  int sourcePost,
                  int otherPost,
                  int sinkPost)

Method Detail

### setLevel

    public void setLevel(int level)

### getLevel

    public int getLevel()

### setPhase

    public void setPhase(int phase)

### getPhase

    public int getPhase()

### setSourcePost

    public void setSourcePost(int sourcePost)

### getSourcePost

    public int getSourcePost()

### setOtherPost

    public void setOtherPost(int otherPost)

### getOtherPost

    public int getOtherPost()

### setSinkPost

    public void setSinkPost(int sinkPost)

### getSinkPost

    public int getSinkPost()

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005